# Created by pyp2rpm-3.0.1
%global pypi_name notebook
%global _docdir_fmt %{name}

Name:           python-%{pypi_name}
Version:        4.4.1
Release:        1%{?dist}
Summary:        A web-based notebook environment for interactive computing

License:        BSD
URL:            http://jupyter.org
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%global _description \
The Jupyter Notebook is a web application that allows you to create and \
share documents that contain live code, equations, visualizations, and \
explanatory text. The Notebook has support for multiple programming \
languages, sharing, and interactive widgets.

%description %_description

%package -n     python2-%{pypi_name}
Summary:        A web-based notebook environment for interactive computing
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python-jinja2
Requires:       python-tornado >= 4
Requires:       python-ipython-genutils
Requires:       python-traitlets
Requires:       python-jupyter-core
Requires:       python-jupyter-client
Requires:       python-nbformat
Requires:       python-nbconvert
Requires:       python-ipykernel
Requires:       python-setuptools
%description -n python2-%{pypi_name}

%_description

%package -n     python3-%{pypi_name}
Summary:        A web-based notebook environment for interactive computing
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-jinja2
Requires:       python3-tornado >= 4
Requires:       python3-ipython-genutils
Requires:       python3-traitlets
Requires:       python3-jupyter-core
Requires:       python3-jupyter-client
Requires:       python3-nbformat
Requires:       python3-nbconvert
Requires:       python3-ipykernel
Requires:       python3-setuptools
%description -n python3-%{pypi_name}

The Jupyter Notebook is a web application that allows you to create and
share
documents that contain live code, equations, visualizations, and
explanatory
text. The Notebook has support for multiple programming
languages, sharing, and
interactive widgets.

%package -n python-%{pypi_name}-doc
Summary:        notebook documentation
%description -n python-%{pypi_name}-doc
Documentation for notebook

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build
# generate html docs
# FIXME fails with sphinx_rtd_theme not found
## sphinx-build docs/source html
# remove the sphinx-build leftovers
##rm -rf html/.{doctrees,buildinfo}

%install
%py3_install
mv %{buildroot}/%{_bindir}/jupyter-nbextension %{buildroot}/%{_bindir}/jupyter-nbextension-%{python3_version}
ln -s jupyter-nbextension-%{python3_version} %{buildroot}/%{_bindir}/jupyter-nbextension-%{python3_pkgversion}
mv %{buildroot}/%{_bindir}/jupyter-serverextension %{buildroot}/%{_bindir}/jupyter-serverextension-%{python3_version}
ln -s jupyter-serverextension-%{python3_version} %{buildroot}/%{_bindir}/jupyter-serverextension-%{python3_pkgversion}
mv %{buildroot}/%{_bindir}/jupyter-notebook %{buildroot}/%{_bindir}/jupyter-notebook-%{python3_version}
ln -s jupyter-notebook-%{python3_version} %{buildroot}/%{_bindir}/jupyter-notebook-%{python3_pkgversion}

%py2_install


%files -n python2-%{pypi_name}
%doc README.md
%license COPYING.md
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name}
%doc README.md
%license COPYING.md
%{_bindir}/jupyter-nbextension
%{_bindir}/jupyter-nbextension-%{python3_pkgversion}
%{_bindir}/jupyter-nbextension-%{python3_version}
%{_bindir}/jupyter-serverextension
%{_bindir}/jupyter-serverextension-%{python3_pkgversion}
%{_bindir}/jupyter-serverextension-%{python3_version}
%{_bindir}/jupyter-notebook
%{_bindir}/jupyter-notebook-%{python3_pkgversion}
%{_bindir}/jupyter-notebook-%{python3_version}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}/

%files -n python-%{pypi_name}-doc
##doc html

%changelog
* Thu Feb 09 2017 Thomas Spura <tomspur@fedoraproject.org> - 4.4.1-1
- rename to python-notebook
- only ship python3 executables
- update to 4.4.1

* Mon Apr 18 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.2.0-1
- Initial package.
